# coding: utf-8

#
module Gomasio
  ROOT_PATH = File.expand_path(File.dirname(__FILE__)) + '/gomasio/'

  %w(disk board player game version).each do |file|
    require ROOT_PATH + file
  end

  class GomasioError     < StandardError; end
  class GameLoopError    < GomasioError;  end
  class InSamePlaceError < GameLoopError; end
  class OutOfRangeError  < GameLoopError; end
end
